package com.bonus.canteen.core.pay.api.vo;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class OrderTradeChannelVO {
   private Long orderRechargeId;
   private Long tradeId;
   private Long relatedTradeId;
   private Long canteenId;
   private Long custId;
   private BigDecimal amount;
   private Integer tradeState;
   private Integer tradeType;
   private Integer payType;
   private Integer payChannel;
   private Integer sourceType;
   private String outTradeNo;
   private String tradeResult;
   private LocalDateTime tradeTime;
   private Long tradeChannelId;
   private Integer channelTradeState;
   private String channelTradeResult;
   private Integer channelPayType;
   private Integer channelPayChannel;
   private BigDecimal channelAmount;
   private BigDecimal channelRefundAmount;
   private String channelOutTradeNo;
   private LocalDateTime channelTradeTime;

   public Long getOrderRechargeId() {
      return this.orderRechargeId;
   }

   public Long getTradeId() {
      return this.tradeId;
   }

   public Long getRelatedTradeId() {
      return this.relatedTradeId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public Integer getTradeState() {
      return this.tradeState;
   }

   public Integer getTradeType() {
      return this.tradeType;
   }

   public Integer getPayType() {
      return this.payType;
   }

   public Integer getPayChannel() {
      return this.payChannel;
   }

   public Integer getSourceType() {
      return this.sourceType;
   }

   public String getOutTradeNo() {
      return this.outTradeNo;
   }

   public String getTradeResult() {
      return this.tradeResult;
   }

   public LocalDateTime getTradeTime() {
      return this.tradeTime;
   }

   public Long getTradeChannelId() {
      return this.tradeChannelId;
   }

   public Integer getChannelTradeState() {
      return this.channelTradeState;
   }

   public String getChannelTradeResult() {
      return this.channelTradeResult;
   }

   public Integer getChannelPayType() {
      return this.channelPayType;
   }

   public Integer getChannelPayChannel() {
      return this.channelPayChannel;
   }

   public BigDecimal getChannelAmount() {
      return this.channelAmount;
   }

   public BigDecimal getChannelRefundAmount() {
      return this.channelRefundAmount;
   }

   public String getChannelOutTradeNo() {
      return this.channelOutTradeNo;
   }

   public LocalDateTime getChannelTradeTime() {
      return this.channelTradeTime;
   }

   public void setOrderRechargeId(final Long orderRechargeId) {
      this.orderRechargeId = orderRechargeId;
   }

   public void setTradeId(final Long tradeId) {
      this.tradeId = tradeId;
   }

   public void setRelatedTradeId(final Long relatedTradeId) {
      this.relatedTradeId = relatedTradeId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setTradeState(final Integer tradeState) {
      this.tradeState = tradeState;
   }

   public void setTradeType(final Integer tradeType) {
      this.tradeType = tradeType;
   }

   public void setPayType(final Integer payType) {
      this.payType = payType;
   }

   public void setPayChannel(final Integer payChannel) {
      this.payChannel = payChannel;
   }

   public void setSourceType(final Integer sourceType) {
      this.sourceType = sourceType;
   }

   public void setOutTradeNo(final String outTradeNo) {
      this.outTradeNo = outTradeNo;
   }

   public void setTradeResult(final String tradeResult) {
      this.tradeResult = tradeResult;
   }

   public void setTradeTime(final LocalDateTime tradeTime) {
      this.tradeTime = tradeTime;
   }

   public void setTradeChannelId(final Long tradeChannelId) {
      this.tradeChannelId = tradeChannelId;
   }

   public void setChannelTradeState(final Integer channelTradeState) {
      this.channelTradeState = channelTradeState;
   }

   public void setChannelTradeResult(final String channelTradeResult) {
      this.channelTradeResult = channelTradeResult;
   }

   public void setChannelPayType(final Integer channelPayType) {
      this.channelPayType = channelPayType;
   }

   public void setChannelPayChannel(final Integer channelPayChannel) {
      this.channelPayChannel = channelPayChannel;
   }

   public void setChannelAmount(final BigDecimal channelAmount) {
      this.channelAmount = channelAmount;
   }

   public void setChannelRefundAmount(final BigDecimal channelRefundAmount) {
      this.channelRefundAmount = channelRefundAmount;
   }

   public void setChannelOutTradeNo(final String channelOutTradeNo) {
      this.channelOutTradeNo = channelOutTradeNo;
   }

   public void setChannelTradeTime(final LocalDateTime channelTradeTime) {
      this.channelTradeTime = channelTradeTime;
   }

}
